---
apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: frontend-applications-ingress
  namespace: zyly
  labels:
    type: frontend
    octopus.control: all-ingress-config-wdd
    app.kubernetes.io/managed-by: octopus-control
    app.kubernetes.io/version: uas-2.0
  annotations:
    kubernetes.io/ingress.class: "nginx"
    nginx.ingress.kubernetes.io/enable-cors: "true"
    nginx.ingress.kubernetes.io/rewrite-target: /$1
    nginx.ingress.kubernetes.io/configuration-snippet: |
      rewrite ^(/supervision)$ $1/ redirect;
      rewrite ^(/supervisionh5)$ $1/ redirect;
      rewrite ^(/pangu)$ $1/ redirect;
      rewrite ^(/ai-brain)$ $1/ redirect;
      rewrite ^(/armypeople)$ $1/ redirect;
      rewrite ^(/awareness)$ $1/ redirect;
      rewrite ^(/base)$ $1/ redirect;
      rewrite ^(/blockchain)$ $1/ redirect;
      rewrite ^(/classification)$ $1/ redirect;
      rewrite ^(/cmsportal)$ $1/ redirect;
      rewrite ^(/detection)$ $1/ redirect;
      rewrite ^(/dikongzhixingh5)$ $1/ redirect;
      rewrite ^(/dispatchh5)$ $1/ redirect;
      rewrite ^(/emergency)$ $1/ redirect;
      rewrite ^(/eventsh5)$ $1/ redirect;
      rewrite ^(/flight-control)$ $1/ redirect;
      rewrite ^(/hljtt)$ $1/ redirect;
      rewrite ^(/hyper)$ $1/ redirect;
      rewrite ^(/iot)$ $1/ redirect;
      rewrite ^(/jiangsuwenlv)$ $1/ redirect;
      rewrite ^(/logistics)$ $1/ redirect;
      rewrite ^(/media)$ $1/ redirect;
      rewrite ^(/mianyangbackend)$ $1/ redirect;
      rewrite ^(/multiterminal)$ $1/ redirect;
      rewrite ^(/mws)$ $1/ redirect;
      rewrite ^(/oms)$ $1/ redirect;
      rewrite ^(/open)$ $1/ redirect;
      rewrite ^(/pilot2cloud)$ $1/ redirect;
      rewrite ^(/qingdao)$ $1/ redirect;
      rewrite ^(/qinghaitourism)$ $1/ redirect;
      rewrite ^(/renyike)$ $1/ redirect;
      rewrite ^(/scanner)$ $1/ redirect;
      rewrite ^(/security)$ $1/ redirect;
      rewrite ^(/securityh5)$ $1/ redirect;
      rewrite ^(/seniclive)$ $1/ redirect;
      rewrite ^(/share)$ $1/ redirect;
      rewrite ^(/smauth)$ $1/ redirect;
      rewrite ^(/smsecret)$ $1/ redirect;
      rewrite ^(/splice)$ $1/ redirect;
      rewrite ^(/threedsimulation)$ $1/ redirect;
      rewrite ^(/traffic)$ $1/ redirect;
      rewrite ^(/uas)$ $1/ redirect;
      rewrite ^(/uasms)$ $1/ redirect;
      rewrite ^(/visualization)$ $1/ redirect;
      rewrite ^(/uavmsmanager)$ $1/ redirect;
      rewrite ^(/secenter)$ $1/ redirect;
spec:
  rules:
    - host: zyly.hncmict.com
      http:
        paths:
          - path: /?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform
              servicePort: 9528
          - path: /supervision/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-suav-platform-supervision
              servicePort: 9528
          - path: /supervisionh5/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-suav-platform-supervisionh5
              servicePort: 9528
          - path: /pangu/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform
              servicePort: 9528
          - path: /ai-brain/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-ai-brain
              servicePort: 9528
          - path: /armypeople/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-armypeople
              servicePort: 9528
          - path: /awareness/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-awareness
              servicePort: 9528
          - path: /base/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-base
              servicePort: 9528
          - path: /blockchain/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-blockchain
              servicePort: 9528
          - path: /classification/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-classification
              servicePort: 9528
          - path: /cmsportal/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-cms-portal
              servicePort: 9528
          - path: /detection/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-detection
              servicePort: 9528
          - path: /dikongzhixingh5/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-dikongzhixingh5
              servicePort: 9528
          - path: /dispatchh5/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-dispatchh5
              servicePort: 9528
          - path: /emergency/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-emergency-rescue
              servicePort: 9528
          - path: /eventsh5/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-eventsh5
              servicePort: 9528
          - path: /flight-control/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-flight-control
              servicePort: 9528
          - path: /hljtt/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-hljtt
              servicePort: 9528
          - path: /hyper/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-hyperspectral
              servicePort: 9528
          - path: /iot/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-iot-manager
              servicePort: 9528
          - path: /jiangsuwenlv/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-jiangsuwenlv
              servicePort: 9528
          - path: /logistics/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-logistics
              servicePort: 9528
          - path: /media/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-media
              servicePort: 9528
          - path: /mianyangbackend/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-mianyangbackend
              servicePort: 9528
          - path: /multiterminal/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-multiterminal
              servicePort: 9528
          - path: /mws/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-mws
              servicePort: 9528
          - path: /oms/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-oms
              servicePort: 9528
          - path: /open/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-open
              servicePort: 9528
          - path: /pilot2cloud/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-pilot2-to-cloud
              servicePort: 9528
          - path: /qingdao/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-qingdao
              servicePort: 9528
          - path: /qinghaitourism/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-qinghaitourism
              servicePort: 9528
          - path: /renyike/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-renyike
              servicePort: 9528
          - path: /scanner/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-scanner
              servicePort: 9528
          - path: /security/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-security
              servicePort: 9528
          - path: /securityh5/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-securityh5
              servicePort: 9528
          - path: /seniclive/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-seniclive
              servicePort: 9528
          - path: /share/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-share
              servicePort: 9528
          - path: /smauth/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-smauth
              servicePort: 9528
          - path: /smsecret/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-smsecret
              servicePort: 9528
          - path: /splice/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-splice
              servicePort: 9528
          - path: /threedsimulation/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-threedsimulation
              servicePort: 9528
          - path: /traffic/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-traffic
              servicePort: 9528
          - path: /uas/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-uas
              servicePort: 9528
          - path: /uasms/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-uasms
              servicePort: 9528
          - path: /visualization/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-visualization
              servicePort: 9528
          - path: /uavmsmanager/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uavms-platform-manager
              servicePort: 9528
          - path: /secenter/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uavms-platform-security-center
              servicePort: 9528
---
apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: all-gateways-ingress
  namespace: zyly
  labels:
    type: api-gateway
    octopus.control: all-ingress-config-1.1.0
    app.kubernetes.io/managed-by: octopus-control
    app.kubernetes.io/version: uas-2.0
  annotations:
    kubernetes.io/ingress.class: "nginx"
    nginx.ingress.kubernetes.io/enable-cors: "true"
    nginx.ingress.kubernetes.io/rewrite-target: /$1
    nginx.ingress.kubernetes.io/configuration-snippet: |
      proxy_set_header upgradePrefix $http_upgrade;
      proxy_set_header Connection "upgradePrefix";
spec:
  rules:
    - host: zyly.hncmict.com
      http:
        paths:
          - path: /oms/api/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-admin-gateway
              servicePort: 8080
          - path: /open/api/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-open-gateway
              servicePort: 8080
          - path: /api/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-gateway
              servicePort: 8080
          - path: /uas/api/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uas-gateway
              servicePort: 8080
          - path: /converge/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-sky-converge
              servicePort: 8080
